Bug 1428411 - Ad-hoc Metrics - Tag "Apply" button is disabled after initial selection
Summary: Ad-hoc Metrics - Tag "Apply" button is disabled after initial selection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Yaacov Zamir
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 14:26 UTC by Einat Pacifici
Modified: 2018-07-08 12:52 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:37:47 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:
epacific: automate_bug+


Attachments (Terms of Use)
apply button disabled. (121.28 KB, image/png)
2017-03-02 14:26 UTC, Einat Pacifici
no flags Details
Fix of apply button state (437.18 KB, image/gif)
2017-03-02 15:25 UTC, Yaacov Zamir
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Einat Pacifici 2017-03-02 14:26:36 UTC
Created attachment 1259174 [details]
apply button disabled.

Description of problem:
In Ad-hoc metrics, the Tag value needs to be selected and Apply needs to be pressed for search to take place. However, the Apply button is disabled once the first list is provided. 

Version-Release number of selected component (if applicable):
5.8.0.1

How reproducible:
Always

Steps to Reproduce:
1.Providers --> Utilization --> Ad Hoc metrics
2._system --> Set Tenant
3. Tag: descriptor_name
4. Apply
5. Select another tag from the drop down, or write any other text in the text box

Actual results:
The apply button is not enabled to set the selection and do another search 

Expected results:
Apply button should be enabled to allow different search parameters

Additional info:

Comment 2 Yaacov Zamir 2017-03-02 15:14:09 UTC
Submitted upstream:
https://github.com/ManageIQ/manageiq-ui-classic/pull/449

Comment 3 Yaacov Zamir 2017-03-02 15:25:29 UTC
Created attachment 1259182 [details]
Fix of apply button state

Comment 4 Yaacov Zamir 2017-03-05 07:13:24 UTC
Merged
https://github.com/ManageIQ/manageiq-ui-classic/pull/449

Comment 5 Einat Pacifici 2017-03-14 12:51:26 UTC
Verified. 
It is now possible to select filter, apply filter. Select a new filter and reapply.

Comment 7 errata-xmlrpc 2017-05-31 14:37:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.